import { Watch, Element, Prop, Component, Host, h } from '@stencil/core';
export class FtlBelt {
  constructor() {
    this._handleSlotChange = () => {
      this._initChildren();
    };
    this._updateToken = (e) => {
      e.preventDefault();
      this.accessToken = this.tokenInput.value;
      this.fileId = this.fileIdInput.value;
    };
  }
  updateHolsters() {
    this._initChildren();
  }
  connectedCallback() {
    this._handleSlotChange = this._handleSlotChange.bind(this);
    this.updateView = this.updateView.bind(this);
  }
  componentWillLoad() {
    this._initChildren();
  }
  _initChildren() {
    const tracks = [...this.el.querySelectorAll('ftl-holster')];
    tracks.map(node => {
      node.setAttribute('access-token', this.accessToken);
      node.setAttribute('file-id', this.fileId);
    });
  }
  updateView(attribute, e) {
    const tracks = [...this.el.querySelectorAll('ftl-holster')];
    tracks.map(node => {
      node.setAttribute(attribute, e);
    });
  }
  render() {
    return (h(Host, null,
      h("div", { class: "ftl-belt" },
        h("div", null,
          h("ftl-buckle", { "onFtl-on-change": (e) => this.updateView(e.detail.attribute, e.detail.value) })),
        h("form", { class: "figma-config-form", onSubmit: this._updateToken },
          h("div", { class: "figma-config-field" },
            h("label", { htmlFor: "accessToken" }, "Access Token"),
            h("input", { type: "password", ref: el => this.tokenInput = el, id: "accessToken", value: this.accessToken })),
          h("div", { class: "figma-config-field" },
            h("label", { htmlFor: "fileId" }, "File ID"),
            h("input", { type: "password", ref: el => this.fileIdInput = el, id: "fileId", value: this.fileId })),
          h("button", { type: "submit" }, "save"))),
      h("slot", { onSlotchange: this._handleSlotChange })));
  }
  static get is() { return "ftl-belt"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["ftl-belt.css"]
  }; }
  static get styleUrls() { return {
    "$": ["ftl-belt.css"]
  }; }
  static get properties() { return {
    "accessToken": {
      "type": "string",
      "mutable": true,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Your Figma Personal Access Token. Find it under account settings from the top-left menu inside Figma."
      },
      "attribute": "access-token",
      "reflect": true
    },
    "fileId": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Your Figma file ID. https://www.figma.com/file/MYFILEID/my-file"
      },
      "attribute": "file-id",
      "reflect": false
    }
  }; }
  static get elementRef() { return "el"; }
  static get watchers() { return [{
      "propName": "accessToken",
      "methodName": "updateHolsters"
    }]; }
}
