import { r as registerInstance, h, H as Host, g as getElement } from './index-ec7376e9.js';

const ftlBeltCss = ":host{display:block}.ftl-belt{border:2px solid red;background:rgb(55 65 81);padding:1rem;display:flex;position:sticky;top:0;z-index:3}ftl-buckle::part(base){display:flex;align-items:center;min-height:25px}ftl-buckle::part(holster-option){margin-right:2rem;margin-bottom:0}.figma-config-form{display:flex;align-items:center}.figma-config-field{margin-right:1rem}.figma-config-field label{margin-right:1rem}";

const FtlBelt = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this._handleSlotChange = () => {
      this._initChildren();
    };
    this._updateToken = (e) => {
      e.preventDefault();
      this.accessToken = this.tokenInput.value;
      this.fileId = this.fileIdInput.value;
    };
  }
  updateHolsters() {
    this._initChildren();
  }
  connectedCallback() {
    this._handleSlotChange = this._handleSlotChange.bind(this);
    this.updateView = this.updateView.bind(this);
  }
  componentWillLoad() {
    this._initChildren();
  }
  _initChildren() {
    const tracks = [...this.el.querySelectorAll('ftl-holster')];
    tracks.map(node => {
      node.setAttribute('access-token', this.accessToken);
      node.setAttribute('file-id', this.fileId);
    });
  }
  updateView(attribute, e) {
    const tracks = [...this.el.querySelectorAll('ftl-holster')];
    tracks.map(node => {
      node.setAttribute(attribute, e);
    });
  }
  render() {
    return (h(Host, null, h("div", { class: "ftl-belt" }, h("div", null, h("ftl-buckle", { "onFtl-on-change": (e) => this.updateView(e.detail.attribute, e.detail.value) })), h("form", { class: "figma-config-form", onSubmit: this._updateToken }, h("div", { class: "figma-config-field" }, h("label", { htmlFor: "accessToken" }, "Access Token"), h("input", { type: "password", ref: el => this.tokenInput = el, id: "accessToken", value: this.accessToken })), h("div", { class: "figma-config-field" }, h("label", { htmlFor: "fileId" }, "File ID"), h("input", { type: "password", ref: el => this.fileIdInput = el, id: "fileId", value: this.fileId })), h("button", { type: "submit" }, "save"))), h("slot", { onSlotchange: this._handleSlotChange })));
  }
  get el() { return getElement(this); }
  static get watchers() { return {
    "accessToken": ["updateHolsters"]
  }; }
};
FtlBelt.style = ftlBeltCss;

export { FtlBelt as ftl_belt };
