import { viewOptions } from '../ftl-buckle/ftl-buckle';
/**
 * @slot (default) - The markup for anything you want to test. Maybe a component or a pattern.
 * @part image - The image returned from Figma, if available.
 */
export declare class FtlHolster {
  private imgElement?;
  private gridElement?;
  /**
   * Your Figma Personal Access Token. Find it under account settings from the top-left menu inside Figma.
  */
  accessToken: string;
  /**
   * Your Figma file ID. https://www.figma.com/file/MYFILEID/my-file
   */
  fileId: string;
  /**
   * The node ID of the component you want to preview.
   */
  node: string;
  /**
   * A unique name for your test to display in the UI.
   */
  name?: string;
  imageUrl: string;
  opacity: string;
  view: viewOptions;
  mode: string;
  activeToggle: string;
  showGrid: boolean;
  loading: boolean;
  error: string;
  status: 'idle' | 'loading' | 'success' | 'fail';
  handleParamChanges(): void;
  componentWillLoad(): void;
  private _fetchImage;
  updateActiveToggle(e: Event): void;
  get figmaLoadingBlock(): any;
  get loadingSvg(): any;
  /**
   * Prevents issue where Figma returns an image that is longer than the coded component in Overlay mode.
   * Because the figma image is positioned absolute and I have no idea how to do it with CSS.
   */
  setWidth(): void;
  camelize: (s: any) => any;
  updateView(attribute: any, e: any): void;
  render(): any;
}
